Ubuntu

Package OpenOffice.org 3.x for Backports

Reported by FredBezies on 2008-09-07
508
This bug affects 44 people
Affects Status Importance Assigned to Milestone
Hardy Backports
Undecided
Unassigned
Intrepid Ibex Backports
Undecided
Unassigned
openoffice.org (Baltix)
Undecided
Unassigned
openoffice.org (Ubuntu)
Wishlist
Unassigned
Declined for Intrepid by Colin Watson
Declined for Jaunty by Chris Cheney

Bug Description

There was not enough time to officially include OpenOffice.org 3.0 in the Intrepid Ibex release of Ubuntu. OO 2.4 will be the default office package. We understand that testing out new software is exciting, and apologize for any disappointment. One common issue raised is Office 2007 document support, although contrary to somewhat popular belief, Ubuntu's version of OO 2.4 supports these new formats just fine.

OO 3.0 will be default in the next 6 month release of Ubuntu. If you would like to upgrade to OO 3.0 anyway in Intrepid, you have a couple options:

You can install from this PPA: https://launchpad.net/~openoffice-pkgs/+archive

Or, you can wait for the 3.0.1 bug fix release of OpenOffice, which will be included in the Backports repository for Intrepid. This release is expected sometime mid January. http://wiki.services.openoffice.org/wiki/OOoRelease301 has more up to date information about the expected release date.

Bear in mind, that if you choose to upgrade, there is no supported method of downgrading, so please decide carefully.

Thanks!

Chris Cheney (ccheney) wrote :

It's almost certainly too late at this point since OOo 3.0 was supposed to have originally been released on Sep 2, not just the release candidate. At their current rate of progress the final version will probably be released at the same time as Ubuntu Intrepid release candidate (~ Oct 20).

However, we are considering having separate openoffice.org3 packages for users who don't mind a very buggy version to use, but it won't be the default version installed.

Changed in openoffice.org:
importance: Undecided → Wishlist
milestone: none → ubuntu-8.10-beta
status: New → Triaged

Just wondering : could it be possible to integrate a RC (2?) version and upgrade it later to final one ? Like Canonical had done for Firefox. I know, it is a little bigger than Firefox, but having to wait for Ibex + 1 for OpenOffice.org 3.0 could be a little longer ;)

I remember that Ubuntu Breezu Badger was released using OpenOffice.org 2.0 Beta2... Yes I know, it was 3 years ago ;)

Chris Cheney (ccheney) wrote :

Maybe, but it depends on how delayed the final release is. If it somehow releases before the end of September we might be able to get it in still, but I doubt that it would be allowed in if it is delayed past the Intrepid release.

Chris Cheney (ccheney) wrote :

After the OOo Release Status meeting this morning it appears they are trying to target a release date of Sept 22 which should be plenty of time to get OOo 3.0 into Intrepid as the main version... if it actually happens.

Chris

Chris Cheney (ccheney) wrote :

It it is now pushed back to Sept 30.

Niels Egberts (nielsegberts) wrote :

I also would like to see 3.0 as a separate package, in bug #229054 the 3.0 beta2 package has been packaged. But has the packaging for RC1 already started? I would be willing to help testing it.

Colin Watson (cjwatson) wrote :

Chris has now packaged RC2 in https://launchpad.net/~openoffice-pkgs/+archive, although it's still called openoffice.org-* so you can't test it in parallel with an OOo 2.4.1 installation. I've asked Chris to rename these packages to openoffice.org3-*, which means that the PPA could be a useful test for parallel-installable packages in Intrepid.

Colin Watson (cjwatson) wrote :

Pushing milestone back to final.

Changed in openoffice.org:
assignee: nobody → ccheney
milestone: ubuntu-8.10-beta → ubuntu-8.10
Benjamin Drung (bdrung) wrote :

OpenOffice.org 3.0 is out. You can find the final version on the mirrors. An official release announcement is expected tomorrow.

I use it since 3.0rc2 and it is very stable with official debs from openoffice.org.

Let's hope it could be included for Intrepid Ibex. As Mandriva 2009.0 give it, why not Intrepid Ibex ?

I think it's final and not rc right now, so, please include it to 8.10.

http://blogs.zdnet.com/hardware/?p=2704

Ron B. (flybye882001) wrote :

The final has been released. See http://www.prweb.com/releases/OOo/3/prweb1459364.htm for the press statement.
So how about it folks - Oo-3 in 8.10!!?

Exsecrabilus (exsecrabilus) wrote :

Also, you must realize that if Ubuntu truly wanted to, it would have included OpenOffice.org already.

Developers, you cannot complain that it is already past feature freeze, and that it's too late. Nonsense.

Let's say you did the same thing with GNOME. GNOME 2.24 released well after Intrepid's feature freeze. But did you not include it? Of course you included it! How? By providing GNOME 2.23, the DEVELOPMENT version of GNOME 2.24, and changing that to GNOME 2.24 after the feature freeze, falling back on the alibi that 2.24 was only a bug-fix release for 2.23.

The same situation with OpenOffice.org. If you truly wanted, you could have provided 3.0 Beta, with 3.0 RC1, and so on. There, problems would have been found and solved. Exactly as you have done with GNOME.

I am aware GNOME is like the base, if not all of Ubuntu. But so is OpenOffice.org. It is one of the major symbols of open-source. I do not want to see Ubuntu ship with an outdated version of a major application when it has updated all others. I know openoffice.org splits into various files in the Ubuntu repos. You can delay 8.10 for a few days if necessary. You might say "You say that because you want your features. But we're developers, and have to keep on our schedule." Come on, Ubuntu is the biggest Linux distro. The public forgave you when you delayed Alpha 1 for like a month, it'll forgive you again if you delay it for like a few days.

Dimitrios Symeonidis (azimout) wrote :

come on, guys, there's tons of bugs for intrepid that still need to be fixed. go do your 5-a-day to fix those, and quit whining about oo.o3 not being included. i'm sure they'll include it after 2-3 weeks or something!

Hi Exsecrabilus, thanks for your input but I think you are missing two
or three key points.

1) Intepid did not ship any beta/RC version of OO 3.0, like they did
with Gnome (2.23), so comparing the two is not valid. If there are any
serious bugs we may not have time to catch them and this could result
in a disappointing and unpolished experience for OO users.

2) There are users just as vocal and adamant as you on the OTHER side,
who would yell and scream if Ubuntu shipped OO 3.0 with bugs, and that
it shouldn't have been pushed in past the feature freeze just to
appease a few people who could easily install it themselves (see #3)
if they weren't concerned with something as stable and thoroughly
tested. A large part of the appeal of Ubuntu to many users is that
when a release comes out, all the applications have been tested for
months already and have all the kinks worked out. If we start throwing
in completely new versions of major applications mere weeks before a
release, Ubuntu will lose a lot of stability and reputation.

3) You (and any other user) will be easily able to install OO 3.0
yourself via a deb/ppa/backport if you so desire. It is a great
candidate for a backport and will probably be backported soon after
release (see https://help.ubuntu.com/community/UbuntuBackports for
more information).

This seems like a win/win to me, since users who want stability and
polish get it by default, and users like yourself who want more
bleeding edge can easily enable it in many ways as I mentioned above.
I don't really see the gripe. As such if the decision is to stay with
2.4 for Intrepid (only 6 months after all), I think it makes sense,
and OO 3.0 can be stabilized by Intrepid backport users and Jaunty
alpha/beta testers.

I really hope to see this happen. Seeing OO3 in Intrepid is a huge deal. I strongly vote for Ubuntu to put the resources needed into getting it in the final releases of Intrepid.

Well, Ubuntu is supposed to be very user friendly, any new user would not be able to install OO.o 3 on their own, it isn't just one .deb, you need to install like 20 .deb packages at once, needs to be done via the shell. Secondly, OO.o 3 seems to be very stable, if we put it into Intrepid there will be very few bugs, I haven't noticed any, we would be able to bug squash in two weeks. Thirdy, for those of you that say, well just upgrade the package from 2.4.1 to 3.0 a few weeks after Intrepid's release, thius will NOT happen, major version changes never happen in normal releases, that is why there was so much pressure to upgrade to FF 3 RC in Hardy, because FF 2 would't be supported long enough and no major version changes. The worst thing that can happen is a relatively small bug popping up for a few users after Intrepid is released, and an average upgrade could fix that easily.

It's prefere to delay Intrepid 1week that don't ship With OO.o 3.0.

Aaron (soulblade) wrote :

Ubuntu has become known for predictable release schedules, Unless there is a bad kernel (or X) bug such as e1000e (Now fixed) than 8.10 should be released on time.

Flavelle (flavelle.ballem) wrote :

Open Office 3.0 has been released to-day (Oct-13-2008). I suspect that it's too late to be included in Intrepid, but it should absolutely be a high priority in terms of backport / update in Intrepid.

knarf (launchpad-ubuntu-f) wrote :

Even though there are sure to be bugs in 3.0.0 I'd prefer for Intrepid to be released with it instead of 2.4.1. My motivations for this are: Intrepid is NOT an LTS release, meaning that those who are in search of stability and support will most likely not choose Intrepid for deployment. This gives more leeway for potentially troublesome packages (not that OOo 3.0 has been troublesome, the beta and RC's have been quite stable).

Including OOo 3.0 now instead of in the next release gives it more exposure and hence more chance to find any troublesome bugs before it is time to release the next LTS.

Patrick Rady (prady) wrote :

I would rather Intrepid be delayed than shipped with OOo 2.4.1.

Ship it with OOo 3.0!

Herbert V. Riedel (hvr) wrote :

maybe it's a marketing thing... every new feature in intrepid is one less to attach to jaunty... :-)

anyway, I'll install and use OOo3 instead of OOo2.4 on intrepid, one way or another...

mihai007 (mihai-ile) wrote :

I would also like so see 3.0 included, and I think it is always good to delay 1 week to solve more Ubuntu bugs. I mean hey you delay 1 week and have a better Ubuntu for 6 months...

der_vegi (m-may) wrote :

Well, I also would like to have it included, but I also see the point of the devs.
So why not put 3.0 already now in the backports and leave it there even after the release? Like this, all the users who want it, could include it already now easily and help finding bugs. Even the newcomers would not find it too difficult to enable backports over synaptic. And the users looking for stability will not enable backports...

Luís Silva (luis) wrote :

I second this request...

Correct me if I'm wrong, but backports is a reporitory for software that is in the release+1, but compliles OK with the current release... This is not very good in what relates to bug correction and user experience... If a usr notices a bug in this backport, it will report it through launchpad and he will see it being corrected in the next release but not the current one... This is very frustrating. Also, if Open Office correctly (or mostly) opens docx, etc... it would be a great help into stealing windows market share to ubuntu...

Bugs are more tolerable than a missing feature to a general user. Also, bugs get corrected in time... Missing features don't... And no, backports is not an answer to this... It's a very good effort generally, but I wouldn't trust it with my eyes closed on a package such as this...

plun (plun) wrote :

As mention above I also prefer a delay and there are bugs enough for that even
without OO-3, I cannot see any bug running Calcs ppa and RC4.

OO-3 is just about this, "Do you Ubuntu ? "

http://www.librarian.net/stax/2042/do-you-ubuntu/

Backports, ppas and so are more for "crazy nerds".... not for normal users or newbies.

Exsecrabilus (exsecrabilus) wrote :

Mike Rooney:

1. What I'm saying is, if you wanted to, you could have. At alpha 1. But you didn't. Your loss.

2. True. There were those that yelled when Hardy shipped with Firefox 3. But did that do anything? No. They were merely drowned down by the praise of the new features in Firefox 3.

3. I don't want it in Backports. I want it in Main. As default. What I want is what the majority want. Where I go the majority follows, where the majority goes, I follow.

KevinM (kevbert1) wrote :

Request OOO 3.0 in Ubuntu Intrepid or as an update in 8.10.1 please.

Exsecrabilus (exsecrabilus) wrote :

There will be no such thing as 8.10.1. That is only for LTS releases. And x.xx.X releases aren't anything special but bug-fix updates pre-applied.

Bert Van de Poel (bhack) wrote :

I think OOo 3.0 should at least be added to main. It would be nice if it was a standard part of 8.10 but otherwise it should be at least an option, it should be installable through a meta-package in synaptic/whatever package manager

Brett Alton (brett-alton) wrote :

I see no reason why 3.0 is of great importance for people to immediately upgrade to.

The front-end looks verbatim to their 1.1 to 2.4 series and the backend has new features that the home user rarely needs.

You're just kinda blind so. Let's sum it up :

- 1024 columns in calc instead of 256
- ODT 1.2 support
- Microsoft Office 2007 format opening and writing
- VBA support
- new icons
- better note system

And a lot of bug squashed. Why moving to 3.0, so ?

Mathi (mathiraj) wrote :

i think openoffice in general goes through much testing before getting released. I have never bumped into any openoffice crash or bug in my years of using open office. It'd would be an very nice to have OO3.0 with 8.10

Colin Watson (cjwatson) wrote :

GNOME gets an exception from the general procedure because it has a very reliable release schedule that we're in sync with, and so it makes absolute sense to keep up with it. This does not go for OpenOffice.org; until quite recently we could not even have said reliably whether it was going to ship before Ubuntu 8.10, despite originally setting a release date of months ago, and so upgrading to an alpha in intrepid would have been very risky. I appreciate that it is a very important part of the desktop, but that is exactly why we don't want to drop a broken version in at the last minute.

Firefox 3 was unusual because we were going to have to support Ubuntu 8.04 for three years on the desktop, and we knew that Firefox has a history of making it very difficult in practice for us to offer security support for older versions over an extended period of time. This has not historically been a concern for OpenOffice.org, and furthermore Ubuntu 8.10 only needs to be supported for 18 months, so this is much less of a concern.

Furthermore, apparently the scheme that used to be used to produce versioned packages (openoffice.org2-*) has bitrotted for reasons I'm not entirely familiar with, so we couldn't use this to produce parallel-installable openoffice.org3-* packages (which was something I had asked Chris to do). This means that upgrading to OpenOffice.org 3.0 is an all-or-nothing proposition; due to the complexity of the packages involved, rolling it back to 2.4.1 with epoch versions would be very difficult indeed and would probably cause other problems. Far too risky for this stage in our release cycle.

Regarding the comments about release timings in general, I believe that https://wiki.ubuntu.com/TimeBasedReleases addresses these quite adequately, and at the moment we have no intention of slipping Ubuntu 8.10's release. We would only be prepared to negotiate that for showstopper problems, and while I understand that this is very important to some people it is not a showstopper.

The plan at the moment is to put OpenOffice.org 3.0 into jaunty, and then consider offering it in intrepid-backports if it tests out reasonably well there.

dje (duncaneastoe) wrote :

Requesting OO.o in 8.10

dje (duncaneastoe) wrote :

3.0 that is!!

fab (fab-head) wrote :

Please add OOo to 8.10 :)

fab (fab-head) wrote :

Please add OOo 3.0 to 8.10 :)

Robert Nasiadek (robzon) wrote :

So much for the "latest and greatest". It's a shame that such a significant upgrade won't make it to the final release. And a marketing gaffe, too. We've already lost A LOT due to the lack of new theme despite the promises. People ask me what's so exciting about Intrepid and I don't really know what to tell them anymore.
I wouldn't mind if at least the backports repository actually had the latest software. Waiting 6 more months is daunting to say the least.
Well, the good thing is there will always be PPAs to turn to for the a little bit more advanced users.

<joke>
So.. if you want Ubuntu to include the latest version of your software, cripple security updates for older versions. You'll be much more likely to get an exception next time. :)
</joke>

This makes me very very sad. :( Im with Robert in not really knowing what the advantage of switching to intrepid is. Seems like the same thing as hardy, plus minor changes

Flavelle (flavelle.ballem) wrote :

Clearly there is an overwhelming desire on the part of the users to have OpenOffice 3.0 in Intrepid. In normal circumstances, I understand that there should be no delay in releasing Intrepid. The fact that an application is not released in stable enough form to be included is not normally a reason to delay the release.

OpenOffice is a core application - it is one of the primary applications that is a 'seller' for Linux. The fact that it is included and installed by default is an important consideration. If Intrepid cannot be delayed, then I would suggest that ubuntu should release Intrepid 8.10.1, with the key requirement that OpenOffice 3.0 is included. I understand that this is normally done only for an LTS release, but I would suggest that these are exceptional circumstances.

It is important, especially for new users, that their first experience with ubuntu is a positive one. The fact that OpenOffice 3.0 is out there, but not included in an initial installation of ubuntu will detract from the experience. Not sure who needs to be involved in the decision, but I think most users would agree that waiting six months to have OpenOffice 3.0 included in a standard ubuntu installation is not acceptable.

Regards,

Just my 0.02 euro / dollar here.

I think it could be a bad bad bad idea not to include OOo 3.0 in Intrepid because all major distros this fall will include it : mandriva 2009.0 done it, Fedora 10 will do it. Not doing it could be bad advertising.

Or at least, providing a meta packages explaining that user could have it without trouble. When i will upgrade to Intrepid with a clean install (nearly 7 months of hardy on my computer let some cadavers) I will kick out OOo 2.4.1 and install official openoffice.org deb on it, as I've done for Hardy.

It takes 5 minutes to do, and OpenOffice.org - even if it is not completely visually merged in ubuntu theme is usable.

Everybody is free to use which version it wants to use. But I think OOo 2.4.1 will see it support ended soon.

Chris Cheney (ccheney) wrote :

This will be done for backports with OpenOffice.org 3.0.1 to be released on Dec 2. OpenOffice.org 3.0.1 is a bugfix only release and should prove to be much more stable than the current release. Many problems don't show up until after the official release as was seen with 2.4.0 in Hardy.

Unfortunately as Colin already mentioned openoffice.org versioned package support (eg openoffice.org3-foo) has bitrotted and doesn't work anymore. I tried resurrecting it but kept running into one problem after another and finally after consultation with the Debian maintainer came to the conclusion that it was unsupportable.

Feel free to use the packages in the PPA and report bugs using the Help->Report a bug feature so that it is easier to track which bugs pertain to 3.0.

Thanks!

Chris Cheney

So, if it can be done in a clean way, what about adding a note of this in releases notes (not possible to give OOo 3.0 in Intrepid), and adding a wiki page for people who wants to add by hand official or ppa packages ?

Just my 0.02 euro / dollar. It will be great, but it is sad that it could not be done before official intrepid release :(

falstaff (falstaff) wrote :

I would love to see OpenOffice.org 3 in Intrepid.

I belive, that when you don't include it, everybody will get it through PPA and download it anyway. Escpecially the users which really using it daily! Yes, I know, its okey to use PPA's! I love them too! BUT when a huge amount of users use a PPA, then the package should be included into the distribution!

Colin wrote, its far to Risky to include it in this stage of the release cycle. But what about the users which want to use OpenOffice.org 3 and therefor use the PPA (which will be a huge amount of users)? Its risky for them too! Thats why the "its risky" argument doesnt count for me! I think its more risky to have a vast amount of users out there, which uses the PPA just to get OOo 3. You cant just shirk responsibility and say "Ah, its not working? He is using PPA? Not our Problem!" when everybody is affected... So Ubuntu has to take care for the OOo 3 Packages anyway, which leads to the question why not include it!?

When users call for something, it sould be included! If you dont do it, the users get it at their own way, and the system is probably less stable. This brings a negative credibility regarding stability also....

I would prefer a delay of Intrepid, if it bring OOo 3 with it...

On Wed, 2008-10-15 at 03:19 +0000, Chris Cheney wrote:
> This will be done for backports with OpenOffice.org 3.0.1 to be released
[..]
> Feel free to use the packages in the PPA and report bugs using the
> Help->Report a bug feature so that it is easier to track which bugs
> pertain to 3.0.

...how well will any PPA and/or backport of OOo3 for intrepid be
maintained? will there be enough attention of the devs to provide
bugfixes and updates to intrepid users who can't do without OOo3? or
will they be left standing in the rain on their own?

i guess this is the kind of thing that makes mark push for distro synchronicity....

Exsecrabilus (exsecrabilus) wrote :

What is wrong with Ubuntu?

It says the latest and greatest in open-source software, but where is the latest? And the greatest, in fact, in some places?

All it does is take the best applications, say, Firefox, mess with its code that results in a horrible experience for users, and the people blame the creator of the application (Mozilla) for it, when Ubuntu is really at fault!

Robert Nasiadak is 100% right here. I think it's time to move to OpenSUSE or Fedora, or Mandriva.

Don't tell me about how uploading packages is hard, how there might be bugs, how schedules must be met. No.

Who uses Ubuntu? The public, is it not? Then, if the public doesn't like Ubuntu, whose reputation gets damaged?
What is the purpose of Ubuntu? To please the public, to answer their requests, and provide an operating system for THE PUBLIC, am I not right?

I'm sorry for this rant, but I really want to see OpenOffice.org 3.0 in Intrepid. Or I will move to Fedora. Sure, I can install from *augh* backports, or even use the official DEBs from http://openoffice.org/ , but I want Ubuntu support, in Intrepid Main.

plun (plun) wrote :

Well, going over to other dists is just burning time and sad...

Tombuntu posted a clear manual:
http://tombuntu.com/index.php/2008/10/14/install-openofficeorg-30-in-ubuntu-804-and-810/

Calcs ppa version is crippled and Suns extensions are broken. Old splash and GUI.

Alan Lord (theopensourcerer) wrote :

I have to concur the majority here.

Intrepid doesn't really have that much *new* going for it right now; at least not visibly at any rate. And Mandiva 2009 has already shipped with OOo 3.0.

Andrew Conkling (andrewski) wrote :

To maintain a respectful atmosphere, please follow the code of conduct - http://www.ubuntu.com/community/conduct/ . Bug reports are handled by humans, the majority of whom are volunteers, so please bear this in mind.

Also, since this bug has enough information provided, please don't add comments that just support any decision; they make it hard to manage the bug/information. If you'd like to see this bug implemented, simply subscribe to it: https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/267376/+subscribe.

Chris Cheney (ccheney) on 2008-10-16
Changed in openoffice.org:
milestone: ubuntu-8.10 → intrepid-updates

Aha, ok. Then I'll ignor it, and start a litle protest.
-> Please add OOo 3.0 to 8.10! ;)

Federico Sassi (fsassi) wrote :

+1 for OO3 in 8.10!

Hew McLachlan (hew) wrote :

This bug report is not the place for a protest or silly +1 comments. Chris Cheney and others have already made the situation very clear, and OpenOffice.org 3.0 will not be included in Intrepid main for the above reasons. It is planned to be included as an Intrepid backport after release, and you are able to grab it from the PPA now if you just can't wait :-). No further comments about OpenOffice.org in Intrepid main are needed. Thank you.

As reporter of this bug, I'm sad to agree to Chris decision. Because :

1) It was released too late for being included in intrepid development.
2) It is a bad advertisement for this ubuntu release
3) PPA won't take care about every-single user which mother tongue is not english : french, german, spanish, italian and so on.

But you will find lots of howto to work around this technical reject. Too bad for Intrepid. Let's hope that Shiretoko (alias Firefox 3.1) won't suffer the same problem for Ubuntu Jaunty Jackalope.

mexlinux (mcanedo) wrote :

I understant the given reasons, and agree that right now is too late.

But I think that there is one issue to consider for further releases:
There are, AFAIK, 3 component used by virtually every user: Desktop, Office Suite, and Web Browser.
Those 3 components should be included in alphas, or beta versions of ubuntu when they reach a point like RC or even beta, in order to start integrating, finding and solving possibe bugs, that will even help to get those projects released on time.

You do it right now with GNOME,
You did it once with Firefox,
You should consider do it also for OpenOffice.org from now and on.

Any other component, can be treated different, like gimp for example, is used by many users but not for everyone.....

futurefx (force) wrote :

Just download OO 3.0 deb files for offline use and put them on cd thats all.

Chris Cheney (ccheney) wrote :

FredBezies,

Do you mean the language translations that are in the PPA do not work? They weren't there originally for 3.0 Beta 2 but have been there with each update since that.

Chris

fox (jm-whx) wrote :

Please add OOo 3.0 to 8.10

bastafidli (ubuntu-bastafidli) wrote :

I believe the decision to do not include OO.o 3.0 in 8.10 is
1. very bad publicity for Intrepid, when comparing Ubuntu with Fedora or Mandriva this is a huge argument why not to use it and rather go somewhere else.
2. very bad demonstration of inability to listen to users. I believe overwhelming desire and what's worse expectation is that OO.o 3.0 should be present in 8.10. This world runs on expectations. The strongest thing Ubuntu has going for it is the community of users, not the technology which is just a commodity. Playing these games by disappointing users is very bad precedence.
3. great opportunity to show that Ubuntu really cares what its users thinks and desire and is flexible enough to look past the red tape to do the right thing. You couldn't buy such opportunity even if you wanted to, it just happened and now it is up to the management/team to show the true color.

Arik Kfir (arikkfir) wrote :

Hi.

I'm not affiliated with Canonical or Ubuntu, but wanted to contribute a few points:

bastafidli wrote:
> I believe the decision to do not include OO.o 3.0 in 8.10 is
> 1. very bad publicity for Intrepid, when comparing Ubuntu with Fedora or Mandriva this is a
> huge argument why not to use it and rather go somewhere else.
I think we all need to put this in perspective - people who switch from one distribution to another for such a reason will likely come back to that distribution for similar reasons for the next release.

> 2. very bad demonstration of inability to listen to users. I believe overwhelming desire and
> what's worse expectation is that OO.o 3.0 should be present in 8.10. This world runs on expectations.
> The strongest thing Ubuntu has going for it is the community of users, not the technology
> which is just a commodity. Playing these games by disappointing users is very bad precedence.
I don't agree - who are the users? Ubuntu tries to position itself for the bulk user group out there. By "Bulk users group" I mean those that have no idea what "Launchpad" is, and don't care, either. They are the people that go to Wal-Mart to buy a computer, or enter the Dell site to order a laptop that looks good, or just buy a small netbook. These people will become the majority of Ubuntu's users are they are the ones who are going to win the war on Microsoft for us (by "us" I mean us Linux users).

These users expect things to *** just work ***. No excuses such as "well, it's a x.0 release, wait for x.1" or something similar. They want it to work - nothing less and nothing more. Therefor, I completely understand Canonical's position to refrain from *potentially* unstable (yet) software which has just been released, such as OOo 3.0. That's why backports was created.

Again - this is just a personal opinion. And evidently a minority one as well ;-)
But I just thought it's something worth bringing to the table.

Cheers.

Andrew Conkling (andrewski) wrote :

Please read https://wiki.ubuntu.com/TimeBasedReleases which discusses why Ubuntu schedules its releases this way and why it can't simply deviate from that at users' whim. The timeline is unfortunate but (with the exception of Dapper) completely predictable. http://tinyurl.com/4wpnan outlines all the objections noted here, and discusses specific answers to them.

Here's a hint: the timeline works and is a big reason a lot of people prefer Ubuntu to other distributions.

bastafidli (ubuntu-bastafidli) wrote :

I hate to start the discussion here, but some of your points should be addressed

> I think we all need to put this in perspective - people who switch from one distribution to another for such a
> reason will likely come back to that distribution for similar reasons for the next release.
I wasn't talking about people who switch. I was talking about people who choose for the first time. These talk to their more experienced friends which distro should they use. Or read reviews which as a con will have missing OO 3.0. Or look at distrowatch and see whats included (if they are little more experienced). And the answer in my case would be go with one, which has OO 3.0 because it has better compatibility with Office documents.

> I don't agree - who are the users? Ubuntu tries to position itself for the bulk user group out there. By "Bulk
> users group" I mean those that have no idea what "Launchpad" is, and don't care, either. They are the people
> that go to Wal-Mart to buy a computer, or enter the Dell site to order a laptop that looks good, or just buy a
> small netbook. These people will become the majority of Ubuntu's users are they are the ones who are going to
> win the war on Microsoft for us (by "us" I mean us Linux users).
You and I are talking about different users. The users you are talking about get their distro from hw manufacturer which most likely uses LTS release + in house testing. The once I am talking about are the one who use Ubuntu because they are passionate about, the advocates, the ones testing, tinkering, making it what it is know, the vocals ones who made those HW manufacturers know that Ubuntu is desired alternative. These users really do care :-).

Arik Kfir (arikkfir) wrote :

Andrew Conkling: I don't know if that's the reason people (mostly) prefer Ubuntu - but I agree that the time-line is important.

bastafidli: I was aware you're talking about a different set of users; and you are right in saying that the "tinkering" users (like you and I) are the ones that DO care and are usually passionate. The point I was trying to make is simply that Ubuntu has another set of users that are just as important as us "passionate" users, and definitely did not mean to hint that one group is more important than the other - only that this should be judged on a case-by-case basis, and in this case - I humbly disagree with you and believe Canonical made the right choice, because the release dates were so close.

I think it all boils down to who takes responsibility on bugs: Canonical consider OOo as an intrinsic part of Ubuntu - one that they are taking quality responsibility for, and therefor want to assure that the code is stable. (I know that ultimately the upstream has responsibility, but the "simple" users see "that office suite that came with Ubuntu", not "OOo", despite the splash screen...)

IF they were to treat OOo as just another product, that someone else provides and is responsible for (like, say, iTunes) the issue would not come up. But since it is considered as a critical part of the OS, they want to make sure that what ships with it is the most stable version, not the most recent one.

Robert Nasiadek (robzon) wrote :

Ok, let's stop now. Now it's defnitely too late to change anything and launchpad is not a good place for this kind of discussion. Please move to ubuntuforums.org to talk about what to do and what not to do in similar situations in the future. I believe the developers will appreciate that we move from here. Thanks!

John Dong (jdong) wrote :

Just as a note, once testing has been sufficient in Chris's PPA, Backports Team would be glad to work with the Openoffice folks to make this package available in the Backports repository if it is deemed suitable.

On Fri, 2008-10-17 at 04:41 +0000, John Dong wrote:
> Just as a note, once testing has been sufficient in Chris's PPA,
> Backports Team would be glad to work with the Openoffice folks to make
> this package available in the Backports repository if it is deemed
> suitable.

additional note; I'd really like to help test the OOo3 packages, but
alas there's no powerpc binaries in the ppa... and I just have slow G4s
in my workstations, which makes building a huge package such as OOo3
myself a rather time-consuming task (not to speak of that I'm
uncomfortable with running my equipment [mac mini, ibook, pbook] at full
temperature for several hours), even more so if there are build errors
to work around...

Chris : in order to answer you about languages in PPA, it may or not work. Anyway, I found a way to install official deb in intrepid. And they do work flawlessly.

And as OOo 3.1 will be released around march 2009, I think we will see the same problem for Jaunty.

JB (jbaftjari) wrote :

I want Ooo 3.0 too.

I think the community want it. Add it and we are happy!

Herr Irrtum (die-nmi) wrote :
Download full text (5.4 KiB)

Guys, I think the debate is going in to the wrong direction.

I stumbled across this via planet ubuntu and I really want to add my thoughts here.

I plan to switch from fedora 9 to ubuntu 810 asap. While fedora almost always has the latest versions of desktop (and not only this) software available, the whole distro feels unstable to me (bad network manager integration, bad cups integration etc.) and on top of this their hardcore hackers don't like desktop users (they don't like gstreamer related topics in their launchpad equivalent).
But I like to work on a stable, unbroken env.
So back to ubuntu, no, to kubuntu for me - if I need the latest software release of something, I can add this by myself now.

So I am not really affected by the decision of not having ooO in ubuntu 8.10. - If this really will happen - I will install it manually (via .deb or whatever).

But anyway. I see two major arguments in this debate here for holding ooO v.3 back:

1. It's to late now - it can't be integrated after the feature freeze because it is to complex and has to many dependencies to build a package - also there is no time to test it the right way - it might be unstable.

2. The masses will use ubuntu without asking questions. They want a out of the box "working" experience, they don't care if it's 2.4 or 3.0 - as long as it works like they want.

I think, both arguments are *not* correct / fair.

Lets look into *1.* I seriously do believe that it is not a problem for a serious packager to create a fully working deb within 1 day. Maybe ooO is a b**ch to pack - but that's why I am talking about "serious" and I mean experienced packagers. Even with the dependencies, the language packs and so on. That's daily routine for a packager. Also - there is not much need to test it *entirely*. If there are some aspects of ooO which interact with other ubuntu features (I couldn't think of even one), then those are the ones which should be tested in an intense way. Anything else is already tested by the OpenOffice folks. That's why they had some RCs before releasing 3.0 . If there are problems with ooO - no one from the user base will blame ubuntu for it - the ooO guys have to react then - and all the ubuntu team has got to do is to release a patch within its update repositories. Right? On the other side: I mean. I had ubuntu 7.10 last year (yes, before switching to fedora 9) and there was gimp 2.4 RC1 in it - remaining for MONTHS unpatched (gimp 2.4 final was out, bedore ubuntu 7.10 was released). So if this is going to be the fate for ooO too - ok - than stick on 2. 4 - but expect the consequences (I'll talk about consequences later).

Point2 (most of the users won't realize this anyway): Where is the proof about what kind of user base ubuntu has? Who is telling that the masses of ubuntu users bought their stuff at wall mart (something more or less completely unknown in Europe btw.) and don't know / don't wanna know about linux and stuff, especially version numbers of software packages?
I agree - this usergroup might exist. But I believe the opposite. I guess the largest group of users dealing with ubuntu are guys which switch from windows, like compiz, are proud to...

Read more...

Exsecrabilus (exsecrabilus) wrote :

Very well said. Especially the point on GIMP 2.4 RC1 being in Gutsy.

Bah, it's all lies, about the developers telling you it's too late. They don't care about you, all they care about is their reputation and Ubuntu's reputation. If they all worked hard, they could get this done in one day. But no, they make up excuses and waste each precious second that goes by that could be used to upload OpenOffice.org 3.0. What a load of bloated crap Ubuntu and its developers are. They don't care for no shit.

Aaron (soulblade) wrote :

Exsecrabilus is that post real or sarcastic?

Hew McLachlan (hew) wrote :

This is not a debate, blog or forum, and is not the place for rants. OOo 3 is already available via PPA for those who need it. The decision regarding main has been made and discussed to death, and we are now in FinalFreeze.

This is now a backport request; no further comments are needed unless they relate to the backport process.

Chris Cheney (ccheney) wrote :

>* What I do know, is, what the press will write. *
>
> They will write: Hey, thanks to kernel 2.6.27 (released after feature freeze) we have cool wireless, cool bluetooth, and
> thanks to the new X.org our 2 Screen setup fails now (*cough*). But hey: Gimp 2.6 (released after feature freeze)
> Gnome 2.24 (released... you know when) and KDE v.4.1.* are great. The only thing which is strange is: Open Office is
> still on v.2.4 - so there is no way to open MS Office 2007 xdocs (xdoc is standard there).
>
> If you want to work further on your MS Office 2007 documents but want to switch to an easy to use linux distro then
> better consider to switch to open suse or mandriva - they are also absolutely easy to install, have the same software
> base but they even work like a charm with MS Office 2007 stuff. Its of course possible to install Open Office 3 on your
> own - but then you might consider to switch to a distro for more experienced users like fedora, debian or errm gentoo.

Yes, don't worry about the facts like that the ooo-build version of OpenOffice.org has supported Microsoft Office 2007 files since at least version 2.3 (maybe even 2.2). Check out your hardy or gutsy version of OOo and see that it opens docx files. The only thing that changed was upstream (read Sun) finally added support for Microsoft Office 2007 files to their version with 3.0.

And a large part of the reason Gnome is allowed in so late in the cycle is that it has a much better record of stability and QA than upstream OpenOffice.org. They also accept patches, etc without huge amount of red tape. Most of the 500+ patches in ooo-build could go directly into Sun's version without any of the licensing complication that is made so much of, if only they would accept them. There was a discussion on one of the OOo lists in the past that it takes somewhere around 4 months of work to get even a single really small patch accepted by Sun upstream.

Chris

Chris Cheney (ccheney) wrote :

John Dong,

I think that OOo 3.0 should be of sufficient quality for backports by the time 3.0.1 is released around Dec 2.

Chris

Exsecrabilus (exsecrabilus) wrote :

To Aaron:

I didn't mean it, if that's what you were asking. :)

plun (plun) wrote :

@Calc

Which where involved when RC4 was nominated as Final ?

Your ppa version is broken and nothing else.

I dont like "dark room" decisions and this is just incredible to not ship with OO-3.

If it was Debian I understands it !

Daniel Miller (dmiller) wrote :

I don't want to add to the debate, nor cause the maintainers any difficulty - but I do have a thought. Not necessarily a good one.

Ubuntu now has a method for selectively enabling restricted drivers. This utility, I believe, is not considered "geekish". My thought is perhaps an additional utility should be provided, for "Advanced Application Access". This utility could have a database linked to backports, ppa, and other sources, and be maintained by the appropriate group, and allow for easy updates for high-profile items like the latest OoO, Firefox, etc - without requiring novice users to work with the joys of package management. The database would include comments on new features, possible issues, advice on appropriate usage for new users, etc.

Just a thought to help bridge the gap from the goal of a stable release, with at least some testing of new software prior to inclusion in the release - and a close-to-mainstream inclusion of new core software that didn't quite make the release schedule. Of course, if this just adds to the headaches of maintaining a distro - please forget I said anything.

Arik Kfir (arikkfir) wrote :

Isn't that what backports is for?

Russell Green (r.green) wrote :

A simple solution would be to package 3.0 into universe then when jaunty comes around promote it to main.That is if somebody would maintain.Instead of backporting it, that way users who don't really know what they are doing don't need to muck around with sources and dont end up with all the backports installed which they dont want or realise what they are.

Chris Cheney (ccheney) wrote :

Russell,

Colin already covered that part above.

In case you don't understand a package with the same package name can't be in both main and universe and since the openoffice.org$(VER)-* support is severely broken it can't be uploaded as openoffice.org3-* either.

Chris

Superkatze (superkatze) wrote :

If it won't be included in 8.10 then https://bugs.launchpad.net/ubuntu/+source/cupsys/+bug/270612 should be fixed definitely before 8.10 is released as it seems to be worked around by using Openoffice.org 3.

Just out of interest: who of you is also affected by bug 270612?

Alan Lord (theopensourcerer) wrote :

I'm not, but then I installed OOo 3.0 as soon as I could.

I do have other printing problems with 8.10 but these are not related to 270612 I believe (https://bugs.launchpad.net/ubuntu/+source/cups/+bug/273021).

Mantas Kriaučiūnas (mantas) wrote :

Updating OpenOffice.org to version 3.0 would fix bug #286405 - this bug is important for *all* Impress (OOo presentation program) users, as OpenOffice.org 2.x Impress doesn't show bullets in OpenDocument 1.0-1.2 format (.odp) files. In all OOo versions prior to OOo 3.0 beta2 bullets in Impress where exported in a non valid OpenDocument Format. This was fixed in OOo 3.0 beta2 which only exports valid OpenDocument Format, but because of this, files, saved with OOo 3.x will not show bullets in any OOo version older than 3.0 beta, including OOo 2.x and OOo 1.x as they expect a non valid format :(
So, when OOo 2.x user will get an presentation (.odp) file from OOo 3.x user then bullets (with are used in most presentations) will be not visible :(

 stop "chatter" , " Intrepid "... if possible :)

Lionel Dricot (ploum) wrote :

Please stop comments to this bug. Do you really believe it will change anything to complain ?

On a side note, I'm running OO 3.0 from ppa on my personnal laptop and OO 2.4 at work. Guess what : I cannot make any difference at all ! Really. Even docx files are perfectly opened with 2.4. I was a serious proponent of OO 3.0 but now that I use it, I really don't see the point of upgrading which makes this bug report even more funny :-)

Sam Stainsby (stainsby) wrote :

"Please stop comments to this bug. Do you really believe it will change anything to complain"

Yes, that's how most things get changed :-) Seriously though, there are plenty of constructive comments here that I wouldn't call complaints.

The problem I suspect is not so much whether OO 3.0 is stable .. it is more likely to be the Ubuntu integration and packaging that causes problems - packaging is very complex for OO. If the Ubuntu devs don't have enough time to do this right then I'd prefer that they delay a little and do the job properly.

nils (internationils) wrote :

If you want it:
https://launchpad.net/~openoffice-pkgs/+archive

or from:
http://ubuntuforums.org/showthread.php?p=6016557

#add to /etc/apt/sources.list:
#Calc's Open Office PPA; not official, but it works
deb http://ppa.launchpad.net/openoffice-pkgs/ubuntu intrepid main
deb-src http://ppa.launchpad.net/openoffice-pkgs/ubuntu intrepid main

if you need PDF Import:
sudo apt-get install openoffice.org-pdfimport

Exsecrabilus (exsecrabilus) wrote :

*Facepalm* You are stupid. You think we are not aware of that? What we are requesting OFFICIAL Ubuntu support and its existence in the MAIN repository. And for the PDF Import thing, extensions for Firefox and OpenOffice.org are always slow, makes applications crash, and are outdated.

Exsecrabilus (exsecrabilus) wrote :

For the last sentence in my above comment:

I'm talking about extensions in the Ubuntu repository. They are outdated and are more likely to crash than from the official add-ons site of both applications.

On Thu, Oct 23, 2008 at 11:17, Exsecrabilus <email address hidden> wrote:

> *Facepalm* You are stupid. You think we are not aware of that? What we
> are requesting OFFICIAL Ubuntu support and its existence in the MAIN
> repository. And for the PDF Import thing, extensions for Firefox and
> OpenOffice.org are always slow, makes applications crash, and are
> outdated.
>

To maintain a respectful atmosphere, please follow the code of conduct -
http://www.ubuntu.com/community/conduct/ . Bug reports are handled by
humans, the majority of whom are volunteers, so please bear this in mind.

I think staying with OO 2.4 is wise. I do not want to see my documents corrupted or my old presentation not working the right day I need to use it because there was an important bug not discovered but after 3.0.0 release (which is a very very common problem).

I can live with 2.4 for another 6 months or install it from backports (it is just one click away) in one or two months when thinks are more tested.

Exsecrabilus (exsecrabilus) wrote :

Luke, I am aware of the fact that "bug reports are handled by humans, the majority of whom are volunteers". It was already stated by Andrew above.

On Thu, Oct 23, 2008 at 1:58 PM, Exsecrabilus <email address hidden>wrote:

> Luke, I am aware of the fact that "bug reports are handled by humans,
> the majority of whom are volunteers". It was already stated by Andrew
> above.

It bore restating; if Luke hadn't said it, I would have again.

Exsercalibus, what exactly do you mean by stating that you are aware of the fact that bug reports are handled by humans?

This is the second time we have had to tell you to behave in this thread. Do you intend to keep ignoring the rules governing this forum and continue writing offensive stuff?

Daniel Hollocher (chogydan) wrote :

I'm going to update the description of this bug report so it can serve as an information resource for others (ie if someone asks on IRC how to get ooo3, or whether its part of intrepid). I'm not including any summations of any controversy, just the facts of what decision was made.

I have no inside information, and am just gleaming information from these comments. Please feel free to correct me.

Thanks!

description: updated

On Thu, Oct 23, 2008 at 3:59 PM, danielhollocher
<email address hidden>wrote:

> I'm going to update the description of this bug report

You rock; that's great stuff.

Michael Rooney (mrooney) on 2008-10-23
description: updated

> One common issue raised is Office 2007 document support, although contrary to somewhat popular belief,
> Ubuntu's version of OO 2.4 supports these new formats just fine.

OOo 3.0 added Write support for MSOOXML, OOo2.4 Can read but not write to the format.

Chris Cheney (ccheney) wrote :

Bryan Quigley,

It did? I'm looking at the save window in official 3.0.0 and I don't see any save support for MSOOXML.

Chris

Chris Cheney (ccheney) wrote :

Er well the official 3.0.0 doesn't have write support for MSOOXML, maybe the ooo-build version I packaged does. I don't have it installed on my machine so can't check it easily.

Chris

Will Fedora Core 10 come with OOo3?

Also keep in mind Bryan that if 2.4 can't save to OOXML, it can still
save in Office 2003 and previous formats, which Office 2007 will
naturally be able to read.

Luke Faraone (lfaraone) wrote :

On Thu, Oct 23, 2008 at 18:53, Chris Cheney <email address hidden> wrote:

> It did? I'm looking at the save window in official 3.0.0 and I don't see
> any save support for MSOOXML.
>

To quote: "OOo2.4 Can read but not write to the format."

-lf

Bryan Quigley (bryanquigley) wrote :

Please ignore me. I can find where I read that. But they must have mistook
support = read/write.

Anyone wanting OOXML read AND write support in OO.o 2.4 can install
oooninja's odf converter. If you're using the default Ubuntu OO.o grab the
"chocolate" edition. If you've got the version from the OO.o website, grab
"strawberry":
http://katana.oooninja.com/w/odf-converter-integrator/download

I haven't checked out how "error proof" the conversion is, but it's an
option. Also, I'd like to emphasize what others have said. I think we
should move this kind of discussion to the forums and leave this bug report
alone.

@Chris Cheney

"Er well the official 3.0.0 doesn't have write support for MSOOXML, maybe the ooo-build version I packaged does. I don't have it installed on my machine so can't check it easily."

Can you please install this version and make this clear ?

Also verify Suns extensions and updates.

This just makes me sad and I wonder whats going on.... !?

I just noticed a "bunch of packages" which where just suprising for running an RC release.

It must be something terrible wrong about this ! With all respect for "code of conduct"...

Haukee (giga-killer-bee) on 2008-10-27
Changed in openoffice.org:
status: Triaged → Confirmed
Chris Cheney (ccheney) wrote :

Haukee,

Why did you change this bug from Triaged to Confirmed? Do you not understand what Triaged means?

Thanks,

Chris

Changed in openoffice.org:
status: Confirmed → Triaged
Chris Cheney (ccheney) wrote :

For more information on bug statuses:

https://wiki.ubuntu.com/Bugs/Status

zerothis (zerothis23) wrote :
Download full text (4.1 KiB)

I support the decision to no include Ooo3 in ubuntu, and I don't say so lightly. My personal master plan to change the world, at the moment, hinges on the presenter view that only works in Ooo3. Because this has delayed my plans, not including Ooo3 in ubuntu is a 6 month delay in history itself!
But, I said I support the decision. This is because:
1. I've used the rc2, it ain't ready for new users. The stability issue is noticeable despite being 'very stable'. It has to work _better_ than Office to change the world. Otherwise the skeptics will willingly subject themselves to Office because they are used to it. Keep in mind the average M$ user believes a "stable" application, let alone a 'very stable' application, that is free ($0 _or_ opensource, they don't necessary know the difference) is less stable than any application that must be paid for. A lie to be sure, but believed by many.
2. There are other applications and important issues surrounding ubuntu besides Ooo3. The Ooo3 project fell behind. This is a problem with Ooo3, not Canonical. Canonical is not a non-profit. They have a _duty_ to make money; says so in their cooperate charter. They don't have to and shouldn't expend extraordinary resources on one project more than any other, especially if said project is responsible for the delay. If a machine is in danger of not being fully assembled before it is switched on, and an _optional_ wheel is squeaking, why waste the time and grease? Canonical needs to keep it priorities strait. Do you realize that Canonical guarantees intellectual property issues for ubuntu? That means one small oversight in nearly 10000 projects could get a customer sued?; potentially, all their customers at once? This seemed to be in danger of happening with the Linux kernel at one time. How many lines of code are used for ubuntu? How many of those projects are involved in the minefield of reverse engineering? How many of those volunteers also happen to write proprietary code for a company as their day job? How many of those volunteers ask a fellow programmer for help and are given some code without asking where it came from? How many times has code been used that came from an unknown programmer offering unsolicited help to a publicly accessible tree? Even one such small lawsuit with a single customer could conceivably bankrupt Canonical. What then becomes of the the official support you're whining about?
3. If Ooo3 is really that important to you, use it. You can even get offical support for it, http://www.sun.com/service/serviceplans/software/index.jsp . Problem solved.

That being said. Perhaps its time for Canonical to be innovative and add official support for a new application for an existing release of an non-LTS at a later date (aka: 8.10.1). I don't like the idea of it, Canonical probably doesn't either. Many of their paying customers might not like Canonical changing the rules. And there in lies the key to changing the rules. Canonical would probably support 8.10.1 if people were willing to pay them. By the way, how many of the complainers here actually pay for support? And how many of you were personally committed your maximum effort to ensure that Ooo3...

Read more...

Mike Kusold (kusold) on 2008-12-05
description: updated
Noel J. Bergman (noeljb) wrote :

> O 3.0 will be default in the next 6 month release of Ubuntu.

So it will be released having already been replaced by OOov3.1: http://wiki.services.openoffice.org/wiki/OOoRelease31

I understand wanting time to test, but I can already predict the outcry when this scheduling glitch happens again.

Chris Cheney (ccheney) wrote :

Noel,

Yes, 3.0.1 will be what ships in Jaunty. As you will notice in their release schedule that you posted they claim to be targeting March 29 which is already after our Beta release. However they generally slip about 6 weeks from their original scheduled release date, which would put their real release date at around May 10, which is long after our release on April 23. An example of these release schedule slips have been 2.4.0, 3.0.0 and now 3.0.1. Even though 3.0.0 slipped a lot in release schedule they still had many major bugs in the release. So many that while 3.0.1 was supposed to be released on Dec 2 it won't actually be released until sometime after Jan 15, and that is only if they stop finding new MAJOR bugs in 3.0.0.

Chris

Chris Cheney (ccheney) wrote :

I'll try to get openoffice.org 1:3.0.0-6ubuntu0intrepid1 into the ppa within a few hours. I am at UDS though so it may take slightly longer than I expect.

Bendemann (georg-bendemann) wrote :

Hi Chris,

thank you very much for your efforts. Great work.

Cheers

Noel J. Bergman (noeljb) wrote :

Chris, yes, I saw the scheduling. My point is not that you're wrong, but that there will be a similar outcry, although perhaps not as much as from 3.0 to 3.1 as there was from 2.4 to 3.0.

I hope that the bugs I have open against OOov3 are fixed in 3.0.1. So far they are all still present in the 3.1 build.

Noel J. Bergman (noeljb) wrote :

Chris, yes, I saw the scheduling. My point is not that you're wrong, but that there will be a similar outcry, although perhaps not as much as from 3.0 to 3.1 as there was from 2.4 to 3.0.

I hope that the bugs I have open against OOov3 are fixed in 3.0.1. So far they are all still present in the 3.1 build.

And thanks for updating the PPA. :-)

Hi all,
 Noel isn't calc the one who's doing the PPA. I just know the
nickname. It may turn out that calc = Chris Chenney in which case I
would say thank you as well :)
--
          Regards,
          Shirish Agarwal
  This email is licensed under http://creativecommons.org/licenses/by-nc/3.0/
http://flossexperiences.wordpress.com
065C 6D79 A68C E7EA 52B3 8D70 950D 53FB 729A 8B17

Made an update today. OOo still crashes, when openoffice.org-kde is installed.

I saw the new files on the PPA, but I can only install it (on jaunty) using the intrepid backport.... choosing jaunty branch doesnt install...

Chris Cheney (ccheney) wrote :

Shirish,

Yes I am calc, as noted on my launchpad account under irc nick. :-)

BUGabundo,

The jaunty packages are in jaunty it just hasn't built yet due to waiting on the MIR bug to be processed.

Chris

lanzen (lanzen) wrote :

I can confirm what bendemann said about openoffice.org-kde. Removing it cures the crashes, but removes menus and icons.

orGSD (gerard-d+launchpad) wrote :

I wanted to add that my father updated to openoffice.org - 1:3.0.0-6ubuntu0intrepid1 today on his kubuntu machine through Adept and is now stuck with the same crash document recovery loop as discussed here. Whether choosing to go with the "Untitled" document recovery or not results in a crash. It is there on the next start and the process continues.
I have tried to diagnose over the phone with him, removing the openoffice.org-kde package results in openoffice working but the interface becomes difficult to use.
I had him try closing OOo with the OOo-kde integration removed so that it would close cleanly, then reinstall it and re-open it. It immediately starts with the document recovery even though it was closed cleanly.
Is there anyway to downgrade to 3.0.0-4/2 or whatever version was previous to -6 which is stuck in this crash loop ? Or are there any recommendations other than removing the kde integration? (His machine is amd64/kubuntu 8.10)

Cheers,

 orGSD

Chris Cheney (ccheney) wrote :

So apparently enabling GIO or enabling KDE4 support both cause OOo 3.0 to crash on start. :( Which was why it crashed on Gnome until the last upload, which I disabled GIO support in. I will look into if it is possible to fix the KDE support for 4 without having to fall back to 3.

orGSD (gerard-d+launchpad) wrote :

For what it is worth, my wife and mother, who also are using kubuntu 8.10, have 3.0.0-2 from your ppa and it is working brilliantly. I have instructed both to not upgrade at the moment. I suspect that is also the version that was on my father's machine before his upgrade and consequent crashes. I don't know if that helps narrow down what was introduced between 3.0.0-2 and 3.0.0-6 which has introduced crashing under KDE4. I apologize for all of these third party accounts, but I am the odd one out in the family. While my wife and folks run kubuntu, I run gentoo. Thus my experience is somewhat limited. I looked on my wife's laptop and didn't see anyway in synaptic to downgrade to a previous version to walk my father through downgrading from 3.0.0-6 to something which worked. I appreciate your looking into this!

Cheers,

 orGSD

openoffice.org-kde 3.0.0-6 crashes OpenOffice as described in previous post. As mentioned in this thread http://ubuntuforums.org/showthread.php?s=3bb68a2a873eebe15c4e4327fe0bb25c&t=993516&highlight=untitled+crash+openoffice.org-kde&page=5 the problem has been introduced with openoffice.org-kde 3.0.0-6. Copying over files from -5 fixes the crashes.

dorpm (dorpmueller) wrote :

Yesterday the update to RC1 came into my system and since that I cannot save any data from OO writer. Whenever I try the GUI freezes and I have to terminate the x session. To continue working I have downgraded to the former version (something like a3.0.0-6ubuntu...). Now I can save my work again.

My OS is Kubuntu Hardy.

It seems that this bug should have a high priority. (Also here: https://bugs.launchpad.net/ubuntu/+bug/316546 because I found this thread later).

Regards,
Florian

Chris Cheney (ccheney) wrote :

I just uploaded a new set of debs resolving the KDE mess again, I won't be turning KDE 4 support back on again without someone telling me it works for certain as there was miscommunication about working recently.

Also 3.0.1 release date is now scheduled for Jan 22 so perhaps we can get some official backports shortly after that time.

dorpm (dorpmueller) wrote :

@Chris,

thanks for reacting so fast but unfortunately this "KDE mess" is still there. So I downgrade to 3.0.0-6 again.

Cheers,
Florian

Chris Cheney (ccheney) wrote :

Florian,

The version that will be on the alpha 3 cd should work without crashing on KDE but as I understand the file picker doesn't currently work under KDE you can go in and turn off the integrated menu by selecting 'Tools->Options->OpenOffice.org->General->Use OpenOffice.org dialogs' which will use the non-native dialogs.

I have heard rc2 which should be out by next week will have properly working KDE dialogs.

Chris

2009/1/14, Chris Cheney <email address hidden>:
> Florian,
>
> The version that will be on the alpha 3 cd should work without crashing
> on KDE but as I understand the file picker doesn't currently work under
> KDE you can go in and turn off the integrated menu by selecting
> 'Tools->Options->OpenOffice.org->General->Use OpenOffice.org dialogs'
> which will use the non-native dialogs.
>
> I have heard rc2 which should be out by next week will have properly
> working KDE dialogs.
>
> Chris
>
> --
> [intrepid] Package OpenOffice.org 3.0 for Backports
> https://bugs.launchpad.net/bugs/267376
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Vladimiro Boffi

I had the problems with KDE too and solved it weeks ago this way. Most of us are using a gtk wrapper like gtk-qt-engine. So just install openoffice.org-gtk and everything is fine. Makes no difference.

Noel J. Bergman (noeljb) wrote :

Something is seriously wrong with the RC. I have it and the 3.1 milestone installed. The previous 3.0 was OK, but this one blows up the entire X session as soon as I try to access Help (possibly more things). The 3.1 milestone works fine, as did the previous 3.0 builds.

Please advise as to what I can provide that will be helpful. Host is T61p 6457-7WU, which means nvidia (177.82).

Noel J. Bergman (noeljb) wrote :

Clarification: that problem happens on Intrepid -- it does not blow up on Jaunty.

Jaime R. Garza (garzaj) wrote :

Hello,

I have problems with my graphics as soon as I run OpenOffice on Intrepid, the clock and menu fail completely. If I close the application then the graphics are fine again. Please, downgrade the packages on the launchpad repository to the version 3.0 which was working without problems.

Cheers!

Jaime R. Garza (garzaj) wrote :

Just to specify, I'm using Nvidia driver on a amd64. I installed the same on a 32 bit computer without Nvidia drivers and have no problems.

Max Randor (max-randor) wrote :

I was using the OO.org rc1 3.01 from the launchpad repository on 32bit with Nvidia drivers but it was completely broken. All parts of OO.org crashed on startup.
I say this because this points to an interaction with the Nvidia drivers causing the breakage.
I have had to downgrade to the 2.4 version in the offical repositories to get OO.org working again - to do this I removed the launchpad repository, removed OO.org and then installed OO.org again. Hopefully I haven't lost too many settings in the process.
I would recommend downgrading back to the 3.00 version as this actually appears to work where the 3.01 bug-fixing release is broken :-)

Geoffrey Thomas (geofft) wrote :

Hey,

What's the status of getting this package into backports? It looks like both OOo and go-oo 3.0.1 are out now, but I don't see this package in intrepid-backports.

Daniel Hollocher (chogydan) wrote :

I think it would be wise to set a cutoff date for getting OOo3 into intrepid. Jaunty seems right around the corner, and feature freeze is next week (which marks the beginging of jaunty's testing phase, I think) . Obviously, at a certain point, it wouldn't make sense to continue to try to backport packages to intrepid.

That feature freeze seems like a good cutoff point.
*ducks*

Bryan Quigley (bryanquigley) wrote :

I've been using the current version in the PPA for about a month now and it works for me with nvidia 96xx series. Are KDE/other nvidias still a trouble spot or can we get this into backports?

Adding Hardy/Intrepid backports to the bug, so backporters can begin to test packages...but as Chris said to me I think we should wait for backport OOo 3 because there are still some issue (e.g. gvfs)...

Changed in intrepid-backports:
status: New → Incomplete
Changed in hardy-backports:
status: New → Incomplete
emarkay (mrk) wrote :

Therefore - what it the procedure to get OO3.X into Intrepid, for those that want it. We know it's not officially supported, but want it, and would like to have the "best" suggestions from the "source".

This site seems to be the "top of the pile" in regarding the process , FWIW
http://news.softpedia.com/news/How-To-Install-OpenOffice-org-3-0-in-Ubuntu-8-10-96449.shtml

Thanks!

Chris Cheney (ccheney) wrote :

emarkay,

Yep, softpedia appears to tell the correct way to get the openoffice-pkgs ppa debs which are the ones that I create.

I'm still beating on gvfs at the moment, currently any gio/gvfs (Gnome smb/sftp/etc file shares) do not work for me with OOo. I know of a workaround but I am currently trying the fix issue in a better way. By Jaunty beta I will have to have decided on which way to go, if I can't fix the issue I will fall back to the workaround.

Chris

I for one never got 2.4.1 on Intrepid to open remote shares (SSH Share, I
think using gvfs). (never tried with 3.0.1 on Intrepid cause I assumed it
wouldn't work)
Just gave Jaunty a go and gvfs with 3.0.1 works like a charm.

Is the problem that it won't work like that if 3.0.1 is backported to
Intrepid? I think that's fine (especially for backports), it never worked
before (for me).

Bryan,

The last time I tested it I think it didn't work on SMB (Samba and Windows filesharing) either. Using gvfs fuse it seems to work but that would require completely disabling gvfs/gio support in OOo, and I don't think that Hardy has gvfs fuse, so those users would be left out if I can't find a way to make it work with gvfs.

Chris

Chris Cheney (ccheney) wrote :

I have uploaded OOo 1:3.0.1-7ubuntu1 for hardy and intrepid to the openoffice-pkgs ppa. They should be done building sometime Saturday.

Mantas Kriaučiūnas (mantas) wrote :

Hi all,

Chris Cheney wrote on 2009-03-21: (permalink)
> I have uploaded OOo 1:3.0.1-7ubuntu1 for hardy and intrepid to the openoffice-pkgs ppa.

Thank you very much. I have question/bugreport about OOo 1:3.0.1-7ubuntu1 from openoffice-pkgs ppa - why openoffice.org-core 1:3.0.1-7ubuntu1 package from Ubuntu Jaunty doesn't depend on librdf0, while packages from PPA depends on this library and forces Intrepid and Hardy users to install lots of unneeded packages, like libmysqlclient and mysql-common...

I've found a bugreport from <email address hidden> in Debian about this problem (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=511841), Steve wrote there:
"For the time being, OOo is switching back to use the bundled copy of redland in Ubuntu"
If you are using bundled copy of redland in official Ubuntu OOo build, why don't to use the same build config in openoffice-pkgs PPA builds ? I think it's better to have as identical builds as possible to give Ubuntu 8.x users a possibility to test new OOo and find Ubuntu Jaunty's OOo bugs.

Mitchell (mitchellvc) wrote :

I realized hat I cant update to openoffice 3.1 RC2 recently uploaded because it does not accept the language-support-es package from intrepid. If I install it (after removing openoffice 3.0) then language support is uninstalled, if I try to install language support again then openoffice 3.1 is unistalled. finally i have uninstalled OOo 3.1.
On the other hand, the splashimage showed when its launched says openoffice 3.0. shoudn't it say openoffice 3.1?

Chris Cheney (ccheney) wrote :

Mitchell,

This issue should be resolved in the next couple days, I am currently waiting on karmic to be fixed it currently has a problem with linux-libc-dev headers missing. There was a bug in the ppa openoffice.org-l10n that I have resolved in the bzr repo and will be fixed when I upload the new version. Also the splash screen is out of date and I will need to get a new one from our artist. To verify which version you have installed you can either look in the package manager or under Help->About in OOo.

Chris

Mitchell (mitchellvc) wrote :

Chris:
The problem between openoffice 3.1 and language-support package is still there, despite new OOo packages have been uploaded. So I wasn't able to test them since i dont wanna lose translations in my other apps. Let us know when it finally is fixed, thanks.

I see that the new packages just finished building in the PPA, but
openoffice.org-l10n - 1:3.1.0-1ubuntu2~jaunty1 failed to build again
:-/

summary: - [intrepid] Package OpenOffice.org 3.0 for Backports
+ Package OpenOffice.org 3.x for Backports
Changed in hardy-backports:
status: Incomplete → New
Changed in intrepid-backports:
status: Incomplete → New
Chris Cheney (ccheney) on 2009-10-06
Changed in openoffice.org (Ubuntu):
assignee: Chris Cheney (ccheney) → nobody
milestone: intrepid-updates → none
cement_head (andor-udel) wrote :

Hello,

Any chance of getting the intrepid packages for 3.01 restored to the PPA repository?

I really appreciated all the work that was done for this...

- Andor

Chris Cheney (ccheney) wrote :

cement_head,

I doubt that I will put new Intrepid debs up as there have been two new releases of Ubuntu since then 9.04 and 9.10 and support in general for 8.10 will be dropped in about 6 months. However, I might upload new debs for Hardy if I get some spare time.

Chris

Hi Chris,

    Any chance you could put the previously built ones back up?

Thanks

On Thu, 2009-10-29 at 12:23 -0400, Chris Cheney wrote:

> cement_head,
>
> I doubt that I will put new Intrepid debs up as there have been two new
> releases of Ubuntu since then 9.04 and 9.10 and support in general for
> 8.10 will be dropped in about 6 months. However, I might upload new debs
> for Hardy if I get some spare time.
>
> Chris
>

____________________________________________________________________
Andor J Kiss
Adjunct Assistant Professor
Department of Zoology - 194 Pearson Hall
Miami University
700 East High Street
Oxford, Ohio 45056
USA

eMAIL: <email address hidden>
Telephone: +1 (513) 529-3195
Fax: +1 (513) 529-6900
URL: http://openwetware.org/wiki/User:Andor_J_Kiss

Chris Cheney (ccheney) wrote :

Andor,

As far as I know there isn't a way to restore previously deleted debs.

Chris

cement_head (andor-udel) wrote :

Well...packages for Hardy would greatly appreciated.

Take care,
Andor

On Thu, 2009-10-29 at 15:19 -0400, Chris Cheney wrote:

> Andor,
>
> As far as I know there isn't a way to restore previously deleted debs.
>
> Chris
>

________________________________________________________________
Andor J Kiss
Visiting Assistant Professor
Laboratory for Ecophysiological Cryobiology
Department of Zoology - 194 Pearson Hall
Miami University
Oxford, Ohio 45056
USA

eMAIL: <email address hidden>
Telephone: +1 (513) 529-3195
URL: http://www.units.muohio.edu/cryolab/about/facbios.htm#AK_CV

Chris Cheney (ccheney) on 2010-03-26
Changed in intrepid-backports:
status: New → Invalid
Changed in hardy-backports:
status: New → Fix Released
status: Fix Released → New
Changed in openoffice.org (Ubuntu):
status: Triaged → Invalid
Changed in openoffice.org (Baltix):
status: New → In Progress
Mantas Kriaučiūnas (mantas) wrote :

OpenOffice.org 3.1 and newer packages on Ubuntu 8.04 (hardy) doesn't associate with Text documents, Spreatsheets and other files until desktop-file-utils 0.15-2 or newer package is installed. OOo doesn't open word documents and other supported files by double clicking in file-manager, because update-desktop-database command was removed from openoffice.org packages and dpkg triggers are used instead, see desktop-file-utils changelog:

desktop-file-utils (0.15-2) unstable; urgency=low
  * Do not hardcode the path to update-desktop-database in postinst.
  * postrm: remove created caches upon removal.
  * triggers: register interest in /usr/share/applications.
  * postinst: run update-desktop-database when triggered.
[..]

Changed in hardy-backports:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.